Modify

Opened 5 days ago

Closed 4 days ago

#19806 closed defect (worksforme)

Easypresets has lost presets after update to latest JOSM

Reported by: John Grubb Owned by: John Grubb
Priority: normal Milestone:
Component: Plugin EasyPresets Version:
Keywords: Easypreset Cc:

Description

What steps will reproduce the problem?

Install latest JOSM release and install/continue to have installed Easypresets plugin.

What is the expected result?

Everything will work as it did before but with the enhancements/fixes inherent in the latest JOSM build.

What happens instead?

Easypreset options and functionality are present in the "Presets" menu but does not appear to be reading its .xml containing the custom preset definitions as previously created presets are not accessible and the buttons added to the toolbar for them are also absent. Most annoying as have many "instant" tagging definitions set for one-click tagging of common features. I have opened the .xml in Textpad and the code is all present and correct.

Please provide any additional information below. Attach a screenshot if possible.

Easypreset version (yes; I have forced plug-ins to check for updates. No EP update and problem persists):-

Ant-Version: Apache Ant 1.10.1
Author: Maripo GODA
Created-By: 10.0.2+13 ("Oracle Corporation")
Manifest-Version: 1.0
Plugin-Class: org.maripo.josm.easypresets.EasyPresetsPlugin
Plugin-Date: 2020-07-26 14:33:34 +0900
Plugin-Description: EasyPresets plugin helps you create and use custom presets
Plugin-Icon: data:image/png;base64,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
Plugin-Icon-Size: 64x64
Plugin-Link: https://github.com/maripo/JOSM_easypresets
Plugin-Mainversion: 16043
Plugin-Version: 1595741614

URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-09-06 16:54:59 +0200 (Sun, 06 Sep 2020)
Build-Date:2020-09-07 01:30:48
Revision:17013
Relative:URL: ^/trunk

Identification: JOSM/1.5 (17013 en_GB) Windows 10 64-Bit
OS Build number: Windows 10 Home 1909 (18363)
Memory Usage: 866 MB / 1820 MB (356 MB allocated, but free)
Java version: 1.8.0_251-b08, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Look and Feel: com.sun.java.swing.plaf.windows.WindowsClassicLookAndFeel
Screen: \Display0 1920x1080 (scaling 1.0x1.0)
Maximum Screen Size: 1920x1080
Best cursor sizes: 16x16 -> 32x32, 32x32 -> 32x32
Dataset consistency test: No problems found

Plugins:
+ AddrInterpolation (35405)
+ CustomizePublicTransportStop (35248)
+ DxfImport (1013)
+ EasyPresets (1595741614)
+ FastDraw (35499)
+ HouseNumberTaggingTool (35508)
+ ImportImagePlugin (35248)
+ ImproveWay (29)
+ OpeningHoursEditor (35414)
+ PicLayer (35405)
+ RoadSigns (35510)
+ apache-commons (35524)
+ buildings_tools (35500)
+ changeset-viewer (22)
+ continuosDownload (91)
+ dataimport (35248)
+ ejml (35313)
+ geotools (35169)
+ gridify (1588746833)
+ imagery_offset_db (35405)
+ importvec (35499)
+ jaxb (35092)
+ jts (35122)
+ log4j (35092)
+ measurement (35405)
+ opendata (35513)
+ openqa (0.2.0)
+ photoadjust (35405)
+ public_transport (35405)
+ rex (53)
+ splinex (35454)
+ tageditor (35258)
+ terracer (35499)
+ turnlanes (35405)
+ turnlanes-tagging (283)
+ turnrestrictions (35515)
+ utilsplugin2 (35487)
+ wikipedia (1.1.4)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/BuildingPreset&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Historical_Objects&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/LaneAttributes&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Maxspeed-zones&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/ParkingLanes&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Post_box_UK&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Surveillance&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Towers&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Telecom&zip=1
+ https://raw.githubusercontent.com/yopaseopor/traffic_signs_preset_JOSM/master/GB.zip
+ https://josm.openstreetmap.de/josmfile?page=Presets/TurnLanes&zip=1

Map paint styles:
- https://github.com/bastik/mapcss-tools/raw/osm/mapnik2mapcss/osm-results/mapnik.zip
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Enhanced_Lane_and_Road_Attributes&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/TreeCrownDiameter&zip=1

Validator rules:
+ https://josm.openstreetmap.de/josmfile?page=Rules/KeepRight&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Rules/SuspiciousSwimming_Pool&zip=1

Last errors/warnings:
- 00008.714 E: Failed to locate image 'traffic_signs/A/A_V4a.png'
- 00008.714 W:  No overtaking: Could not get presets icon traffic_signs/A/A_V4a.png
- 00010.137 W: org.xml.sax.SAXParseException: The value of attribute "values" associated with an element type "combo" must not contain the '<' character.

Attachments (1)

EasyPresets.xml (14.4 KB) - added by John Grubb 5 days ago.
Easypresets definition .xml file.

Download all attachments as: .zip

Change History (8)

Changed 5 days ago by John Grubb

Attachment: EasyPresets.xml added

Easypresets definition .xml file.

comment:1 in reply to:  description Changed 4 days ago by skyper

Component: PluginExternal preset

Replying to John Grubb:

Last errors/warnings:
- 00010.137 W: org.xml.sax.SAXParseException: The value of attribute "values" associated with an element type "combo" must not contain the '<' character.

The file is corrupt and following changes are needed.

  • EasyPresets.xml

    old new  
    208208            <check key="guyed" text="Guyed"/>
    209209            <text default="50" key="frequency" text="Freq"/>
    210210            <text default="3" key="cables" text="Cables"/>
    211             <combo key="wires" text="Wires" values="single,double,triple,quad,fivefold,sixfold,sevenfold,eightfold/>
     211            <combo key="wires" text="Wires" values="single,double,triple,quad,fivefold,sixfold,sevenfold,eightfold"/>
    212212            <text default="1" key="circuit" text="Circuits"/>
    213213            <text default="" key="name" text="Name"/>
    214214            <combo key="line" text="Line" values="minor_line,line"/>
     
    220220            <text default="" key="voltage:secondary" text="Secondary voltage in Volts (V)"/>
    221221            <text default="" key="voltage:tertiary" text="Tertiary voltage in Volts (V)"/>
    222222    </item>       
    223     </item>
    224223</presets>

comment:2 Changed 4 days ago by skyper

Component: External presetPlugin EasyPresets
Owner: changed from team to maripogoda
Version: latest

comment:3 Changed 4 days ago by John Grubb

I've trimmed out the extra </item> (didn't have the extra "combo key="wires"" entry in my source Easypresets.xml) - problem still persists.

comment:4 in reply to:  3 Changed 4 days ago by skyper

Replying to John Grubb:

I've trimmed out the extra </item> (didn't have the extra "combo key="wires"" entry in my source Easypresets.xml) - problem still persists.

Please, carefully read the diff. There is a double quotation mark (") missing behind the values in line 211.

comment:5 Changed 4 days ago by Klumbumbus

Owner: changed from maripogoda to John Grubb
Status: newneedinfo

comment:6 in reply to:  5 Changed 4 days ago by John Grubb

Replying to Klumbumbus:

Aye - that's fixed it. Probably time I thought about getting some spectacles!

Many thanks.

comment:7 Changed 4 days ago by Klumbumbus

Resolution: worksforme
Status: needinfoclosed

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain John Grubb.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.